MouseMotionAdapter (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Class MouseMotionAdapter

    java.lang.Object
      |
      +--java.awt.event.MouseMotionAdapter

All Implemented Interfaces:
  EventListener, MouseMotionListener

Direct Known Subclasses:
  BasicComboPopup.InvocationMouseMotionHandler, BasicComboPopup.ListMouseMotionHandler

public abstract class MouseMotionAdapter
extends Object
implements MouseMotionListener

An abstract adapter class for receiving mouse motion events. The methods in this class are empty. This class exists as convenience for creating listener objects.

Mouse motion events occur when a mouse is moved or dragged. (Many such events will be generated in a normal program. To track clicks and other mouse events, use the MouseAdapter.)

Extend this class to create a `MouseEvent` listener and override the methods for the events of interest. (If you implement the `MouseMotionListener` interface, you have to define all of the methods in it. This abstract class defines null methods for them all, so you can only have to define methods for events you care about.)

Create a listener object using the extended class and then register it with a component using the component's `addMouseMotionListener` method. When the mouse is moved or dragged, the relevant method in the listener object is invoked and the `MouseEvent` is passed to it.

Since:
  1.1
See Also:
  `MouseEvent`, `MouseMotionListener`, Tutorial: Writing a Mouse Motion Listener, Reference: The Java Class Libraries (update file)

Constructor Summary
`MouseMotionAdapter()`

Method Summary
`void` | `mouseDragged(MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` | `mouseMoved(MouseEvent e)` Invoked when the mouse button has been moved on a component (with no buttons no down).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MouseMotionAdapter

    public MouseMotionAdapter()

Method Detail

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Invoked when a mouse button is pressed on a component and then dragged. Mouse drag events will continue to be delivered to the component where the first originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Invoked when the mouse button has been moved on a component (with no buttons no down).

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.